> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goaura.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all channels

Returns a list of your channels. The channels are returned sorted by creation date, with the most recent channels appearing first.

#### Parameters

<ParamField query="limit" type="integer">
  A limit on the number of objects to be returned. Limit can range between 1 and
  100, and the default is 10.
</ParamField>

<ParamField query="starting_after" type="string">
  A cursor for use in pagination. `starting_after` is an object ID that defines
  your place in the list. For instance, if you make a list request and receive
  100 objects, ending with `obj_foo`, your subsequent call can include
  `starting_after=obj_foo` in order to fetch the next page of the list.
</ParamField>

<ParamField query="ending_before" type="string">
  A cursor for use in pagination. `ending_before` is an object ID that defines
  your place in the list. For instance, if you make a list request and receive
  100 objects, starting with `obj_bar`, your subsequent call can include
  `ending_before=obj_bar` in order to fetch the previous page of the list.
</ParamField>

<RequestExample>
  ```bash GET /channels theme={null}
    curl -G https://api.goaura.com/channels \
      -u "sk_2ubjfjUcF0z6lcFio24TC1D9xUa:" \
      -d limit=20
  ```
</RequestExample>

#### Returns

A dictionary with a `data` property that contains an array of up to `limit` channels, starting after channel `starting_after`. Each entry in the array is a separate channel object. If no more channels are available, the resulting array will be empty.

<ResponseExample>
  ```json RESPONSE theme={null}
  {
    "object": "list",
    "has_more": false,
    "data": [
      {
        "id": "f70a0f0d-48e1-4466-8f4c-32747b395de9",
        "object": "channel",
        "type": "sales",
        "platform": "amazon",
        "created_at": 1662738023
      }
    ]
  }
  ```
</ResponseExample>
